Bullet Collision Detection & Physics Library: btHingeConstraintFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btHingeConstraintFloatData Struct Reference

`#include <btHingeConstraint.h>`

Collaboration diagram for btHingeConstraintFloatData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
int | m_useReferenceFrameA
int | m_angularOnly
int | m_enableAngularMotor
float | m_motorTargetVelocity
float | m_maxMotorImpulse
float | m_lowerLimit
float | m_upperLimit
float | m_limitSoftness
float | m_biasFactor
float | m_relaxationFactor

## Detailed Description

Definition at line 397 of file btHingeConstraint.h.

## Member Data Documentation

## ◆ m_angularOnly

int btHingeConstraintFloatData::m_angularOnly

Definition at line 403 of file btHingeConstraint.h.

## ◆ m_biasFactor

float btHingeConstraintFloatData::m_biasFactor

Definition at line 412 of file btHingeConstraint.h.

## ◆ m_enableAngularMotor

int btHingeConstraintFloatData::m_enableAngularMotor

Definition at line 405 of file btHingeConstraint.h.

## ◆ m_limitSoftness

float btHingeConstraintFloatData::m_limitSoftness

Definition at line 411 of file btHingeConstraint.h.

## ◆ m_lowerLimit

float btHingeConstraintFloatData::m_lowerLimit

Definition at line 409 of file btHingeConstraint.h.

## ◆ m_maxMotorImpulse

float btHingeConstraintFloatData::m_maxMotorImpulse

Definition at line 407 of file btHingeConstraint.h.

## ◆ m_motorTargetVelocity

float btHingeConstraintFloatData::m_motorTargetVelocity

Definition at line 406 of file btHingeConstraint.h.

## ◆ m_rbAFrame

btTransformFloatData btHingeConstraintFloatData::m_rbAFrame

Definition at line 400 of file btHingeConstraint.h.

## ◆ m_rbBFrame

btTransformFloatData btHingeConstraintFloatData::m_rbBFrame

Definition at line 401 of file btHingeConstraint.h.

## ◆ m_relaxationFactor

float btHingeConstraintFloatData::m_relaxationFactor

Definition at line 413 of file btHingeConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintData btHingeConstraintFloatData::m_typeConstraintData

Definition at line 399 of file btHingeConstraint.h.

## ◆ m_upperLimit

float btHingeConstraintFloatData::m_upperLimit

Definition at line 410 of file btHingeConstraint.h.

## ◆ m_useReferenceFrameA

int btHingeConstraintFloatData::m_useReferenceFrameA

Definition at line 402 of file btHingeConstraint.h.

The documentation for this struct was generated from the following file:

- btHingeConstraint.h